Get Flow Json

Use this API to get JSON asset.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionValueData typeRequired/OptionalConstraints
AuthorizationAccess Token for the application{{PARTNER_APP_TOKEN}}StringRequiredShould be a valid Partner App Access Token
appIdApp ID to fetch the access token{{APP_ID}}StringRequiredThe ID should be a valid app ID of Gupshup.
flowIdFlow Id{{FLOW_ID}}StringRequiredFlow Id generated by Meta

Sample Request

curl --location --request GET 'https://partner.gupshup.io/partner/app/{{APP_ID}}/flows/{{FLOW_ID}}/assets' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/json'

Sample Response

[
    {
        "asset_type": "FLOW_JSON",
        "download_url": "https://mmg.whatsapp.net/m1/v/t24/An9xSDGdyGcW0nTRCOYpSKqDhpPeFj1_tKBxswuOYC6DzClzkb3K28561rl0WVKF-go0gzdaAz7H4GRaMaL6b0bLmWG2yH77Vsj40Zv2gjR0NuNMV0B60qqb3fnsT8aQRnM?ccb=10-5&oh=01_Q5AaIJC0sV_X8sXaonaGes0uh3_AVS5aAhgI4OTOYVER7v7H&oe=669CC7C9&_nc_sid=471a72",
        "name": "flow.json"
    }
]

Status Codes

Status CodeResponseComments
Success
200

[

{
"asset_type": "FLOW_JSON",
"download_url": "https://mmg.whatsapp.net/m1/v/t24/An9xSDGdyGcW0nTRCOYpSKqDhpPeFj1_tKBxswuOYC6DzClzkb3K28561rl0WVKF-go0gzdaAz7H4GRaMaL6b0bLmWG2yH77Vsj40Zv2gjR0NuNMV0B60qqb3fnsT8aQRnM?ccb=10-5&oh=01_Q5AaIJC0sV_X8sXaonaGes0uh3_AVS5aAhgI4OTOYVER7v7H&oe=669CC7C9&_nc_sid=471a72",
"name": "flow.json"
}
]

download_url has link to current flow json
Error
400

{

"status": "error",
"message": "Unsupported get request. Object with ID '52635765283582' does not exist, cannot be loaded due to missing permissions, or does not support this operation. Please read the Graph API documentation at https://developers.facebook.com/docs/graph-api"
}

For invalid flow ID
Path Params
string
required

Unique identifier of the app.

string
required

Flow Id generated by Meta

Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json